Subject: V/R hardware

From: [email-masked]
Date: Fri, 18 Jun 1993 01:30:01 -0400 (EDT)

I have seen some messages from people looking for power gloves, shutter
glasses, etc. Feel free to contact VRASP (Virtual Reality Alliance of Students
and Professional) at P.O. Box 4139, Highland Park, NJ 08904. They have supplies
ranging from demo disks ($2) to dual gloves, glasses, software, connectors for
$285. You have to join, $30/annually, you get membership, bimonthly newsletter,
and more.